# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/ui/pokemon-icon-anim-handler.ts:12

##### Index

### Constructors

constructor

### Methods

addOrUpdate
getModeYDelta
remove
removeAll
setup

## Constructors

### constructor

- new default(): default

  #### Returns default

## Methods

### addOrUpdate

- addOrUpdate(icons: PokemonIcon | PokemonIcon[], mode: PokemonIconAnimMode ): void

  #### Parameters

  - icons: PokemonIcon | PokemonIcon[]
  - mode: PokemonIconAnimMode

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:51

### getModeYDelta

- getModeYDelta(mode: PokemonIconAnimMode ): number

  #### Parameters

  - mode: PokemonIconAnimMode

  #### Returns number

  - Defined in src/ui/pokemon-icon-anim-handler.ts:40

### remove

- remove(icons: PokemonIcon | PokemonIcon[]): void

  #### Parameters

  - icons: PokemonIcon | PokemonIcon[]

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:68

### removeAll

- removeAll(): void

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:82

### setup

- setup(): void

  #### Returns void

  - Defined in src/ui/pokemon-icon-anim-handler.ts:16